// 04.10.26
// Calculation for optional lens selection
// OptLens169 = best lens for 16:9 screen
// OptLens43 = best lens for 4:3 screen
// MagniScrn = screen size
// MagniDist = throw distance
// widem169 = width in millimeter
// widem43 = width in millimeter


// Definition for optional lens ===========
var OptLens05 = "ET-D95LE5" 	/*	1.5	to	2.0	*/
var OptLens06 = "ET-D95LE6" 	/*	2.0	to	2.5	*/
var OptLens07 = "ET-D95LE7" 	/*	2.5	to	4.0	*/
var OptLens08 = "ET-D95LE8" 	/*	4.0	to	7.0	*/
var OptLens09 = "ET-D95LE9" 	/*	0.8	*/

// Projection Area
		// "No lens found (ET-D95LE9)"
var PrjctArea00 = 1.5
		// OptLens05
var PrjctArea01 = 2.0
		// OptLens06
var PrjctArea02 = 2.5
		// OptLens07
var PrjctArea03 = 4.0
		// OptLens08
var PrjctArea04 = 7.0
		// "No lens found"

// Definition for ClearForm() = Reset button ===========
function ClearForm(form)
{
		form.scrnsize169.value = "0";
		form.scrnsize43.value = "0";
		form.distance.value = "0";
		form.OptLens169.value = " ";
		form.OptLens43.value = " ";
}

// Selected lens form alert
function lensalert() 
{
	alert('Sorry, but this box only shows the result.');
}

// Calculating magnification
function calmagni(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn43 = form.scrnsize43.value 
	var MagniDist = form.distance.value 
	// Screen measuring portion selection
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
	var scrnw43 = form.scrnprtn43.options[form.scrnprtn43.selectedIndex].value
	var scrnu43 = form.scrnunit43.options[form.scrnunit43.selectedIndex].value
	var distu = form.distunitmenu.options[form.distunitmenu.selectedIndex].value
	Mgnf169 = Math.round ( ( MagniDist * distu ) / ( MagniScrn169 * scrnu169 / scrnw169 ) * 100 )  /  100 ; 
	Mgnf43 = Math.round ( ( MagniDist * distu ) / ( MagniScrn43 * scrnu43 / scrnw43 ) * 100 )  /  100 ; 
	}

// Screen size limitation
function sizealert(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn43 = form.scrnsize43.value 
	// Screen measuring portion selection
/*
	form.scrnprtn169/scrnunit169/scrnprtn43/scrnunit43.options.values
	scrnw169 -- 1 (width), 0.5625 (height), 1.14735 (diagonal)
	scrnw43 -- 1 (width), 0.75 (height), 1.25 (diagonal)
	scrnu169/scrnu43 -- 1 (mm), 304.8 (ft), 25.4 (in)	
*/
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
	var scrnw43 = form.scrnprtn43.options[form.scrnprtn43.selectedIndex].value
	var scrnu43 = form.scrnunit43.options[form.scrnunit43.selectedIndex].value
	widem169 = MagniScrn169 * scrnu169 / scrnw169 ; 
	widem43 = MagniScrn43 * scrnu43 / scrnw43 ; 
// Screen size limitaion (16:9)
	if (widem169 != "0") {
		if (widem169 < ( 91.8 * 16 / 18.35756 * 25.4 ) ||  ( 550 * 16 / 18.35756 * 25.4 )  < widem169){
	alert("You entered an improper value.\nScreen size (16:9) should be between 95 and 550 inches* diagonally.\nPlease enter a new value.\n\n\t* between 2.41 and 13.97 meters\n\t* between 7.92 and 45.83 feet");
	ClearForm(form);
	this.form.reset();
		}
	}
// Screen size limitaion (4:3)
	if (widem43 != "0") {
		if (widem43 < ( 100 * 4 / 5 * 25.4 ) ||  ( 600 * 4 / 5 * 25.4 )  < widem43){
	alert("You entered an improper value.\nScreen size (4:3) should be between 100 and 600 inches* diagonally.\nPlease enter a new value.\n\n\t* between 2.54 and 15.24 meters\n\t* between 8.33 and 50 feet");
	ClearForm(form);
	this.form.reset();
		}
	}			
}

// Checking input
function chkvalue(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn43 = form.scrnsize43.value 
	var MagniDist = form.distance.value 
	if ( ( eval(MagniScrn169) == 0 & eval(MagniScrn43) == 0 ) || eval(MagniDist) == 0)
		{
		window.alert("Please input values for both \nimage size and projection distance.");
		link169 = "#" ; 
		link43 = "#" ; 
		}
	else {
		calmagni(form) ;
		sizealert(form) ;
		lensfinder169(form) ;
		lensfinder43(form) ;
//		form.zmratio169.value = Mgnf169 ;
//		form.zmratio43.value = Mgnf43 ;
		}
	}

// Definition for GoLens169() = link to calculator 16:9
function GoLens169(){
	location.href = link169 ;
//	if (url != "_") 
//	top.location = url;
}

// Definition for GoLens43() = link to calculator 16:9
function GoLens43(){
	location.href = link43 ;
//	if (url != "_") 
//	top.location = url;
}

// Lens selection 16:9
function lensfinder169(form) {
	if (Mgnf169 < PrjctArea00) {
		form.OptLens169.value =  "No lens found (see "+ OptLens09 + " lens info)." ; 
		link169 = "../aspct169/d961le9.html" ; 
		}
	else if (PrjctArea00 <= Mgnf169 & Mgnf169 < PrjctArea01) {
		form.OptLens169.value = OptLens05 ; 
		link169 = "../aspct169/d961le5.html" ; 
		}
	else if (PrjctArea01 <= Mgnf169 & Mgnf169 < PrjctArea02) {
		form.OptLens169.value = OptLens06 ; 
		link169 = "../aspct169/d961le6.html" ; 
		}
	else if (PrjctArea02 <= Mgnf169 & Mgnf169 < PrjctArea03) {
		form.OptLens169.value = OptLens07 ; 
		link169 = "../aspct169/d961le7.html" ; 
		}
	else if (PrjctArea03 <= Mgnf169 & Mgnf169 <= PrjctArea04) {
		form.OptLens169.value = OptLens08 ; 
		link169 = "../aspct169/d961le8.html" ; 
		}
	else {
		form.OptLens169.value = "No lens was found for these conditions." ;
		link169 = "#" ; 
		}
	}

// Lens selection 4:3
function lensfinder43(form) {
	if (Mgnf43 < PrjctArea00) {
		form.OptLens43.value =  "No lens found (see "+ OptLens09 + " lens info)." ; 
		link43 = "../aspct43/d961le9.html" ; 
		}
	else if (PrjctArea00 <= Mgnf43 & Mgnf43 < PrjctArea01) {
		form.OptLens43.value = OptLens05 ; 
		link43 = "../aspct43/d961le5.html" ; 
		}
	else if (PrjctArea01 <= Mgnf43 & Mgnf43 < PrjctArea02) {
		form.OptLens43.value = OptLens06 ; 
		link43 = "../aspct43/d961le6.html" ; 
		}
	else if (PrjctArea02 <= Mgnf43 & Mgnf43 < PrjctArea03) {
		form.OptLens43.value = OptLens07 ; 
		link43 = "../aspct43/d961le7.html" ; 
		}
	else if (PrjctArea03 <= Mgnf43 & Mgnf43 <= PrjctArea04) {
		form.OptLens43.value = OptLens08 ; 
		link43 = "../aspct43/d961le8.html" ; 
		}
	else {
		form.OptLens43.value = "No lens was found for these conditions." ;
		link43 = "#" ; 
		}
	}
