// 04.10.26/06.05.22/06.10.15/06.12.07
// Calculation for optional lens selection - NATIVE 15 : 9 PANEL
// OptLens169 = best lens for 16:9 screen
// OptLens159 = best lens for 15:9 screen
// MagniScrn = screen size
// MagniDist = throw distance
// widem169 = width in millimeter
// widem159 = width in millimeter
// Definition for ClearForm() = Reset button

// Definition for optional lens ===========
var OptLens01 = "ET-DLE100" 	/*	1.33	to	1.78	*/
var OptLens00 = "Supplied Lens" 	/*	1.8	to	2.5	*/
var OptLens02 = "ET-DLE200" 	/*	2.5	to	4.0	*/
var OptLens03 = "ET-DLE310" 	/*	3.4	to	4.5	*/
var OptLens04 = "ET-DLE410" 	/*	4.5	to	8.4	*/
var OptLens05 = "ET-DLE050" 	/*	0.8	*/

// Projection Area
		// (OptLens05)
var PrjctArea00 = 1.33
		// OptLens01
var PrjctArea01 = 1.78
		// "No lens found"
var PrjctArea02 = 1.8
		// OptLens00
var PrjctArea03 = 2.5
		// OptLens02
var PrjctArea04 = 3.4
		// OptLens02 + OptLens03
var PrjctArea05 = 4.0
		// OptLens03
var PrjctArea06 = 4.5
		// OptLens04
var PrjctArea07 = 8.4
		// "No lens found"

// Definition for ClearForm() = Reset button ===========
function ClearForm(form)
{
		form.scrnsize169.value = "0";
		form.scrnsize43.value = "0";
		form.distance.value = "0";
		form.OptLens169.value = " ";
		form.OptLens43.value = " ";
}

// Selected lens form alert
function lensalert() 
{
	alert('Sorry, but this box only shows the result.');
}

// Calculating magnification
function calmagni(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn159 = form.scrnsize159.value 
	var MagniDist = form.distance.value 
	// Screen measuring portion selection
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
	var scrnw159 = form.scrnprtn159.options[form.scrnprtn159.selectedIndex].value
	var scrnu159 = form.scrnunit159.options[form.scrnunit159.selectedIndex].value
	var distu = form.distunitmenu.options[form.distunitmenu.selectedIndex].value
	Mgnf169 = Math.round ( ( MagniDist * distu ) / ( MagniScrn169 * scrnu169 / scrnw169 ) * 100 )  /  100 ; 
	Mgnf159 = Math.round ( ( MagniDist * distu ) / ( MagniScrn159 * scrnu159 / scrnw159 ) * 100 )  /  100 ; 
	}

// Screen size limitation
function sizealert(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn159 = form.scrnsize159.value 
	// Screen measuring portion selection
/*
	form.scrnprtn169/scrnunit169/scrnprtn159/scrnunit159.options.values
	scrnw169 -- 1 (width), 0.5625 (height), 1.14735 (diagonal)
	scrnw159 -- 1 (width), 0.6 (height), 1.166 (diagonal)
	scrnu169/scrnu159 -- 1 (mm), 304.8 (ft), 25.4 (in)
*/
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
	var scrnw159 = form.scrnprtn159.options[form.scrnprtn159.selectedIndex].value
	var scrnu159 = form.scrnunit159.options[form.scrnunit159.selectedIndex].value
	widem169 = MagniScrn169 * scrnu169 / scrnw169 ; 
	widem159 = MagniScrn159 * scrnu159 / scrnw159 ; 

// Screen size limitaion (16:9)
	if (widem169 != "0") {
		if (widem169 < ( 50 * 16 / 18.35756 * 25.4 * 0.96795 ) ||  ( 600 * 16 / 18.35756 * 25.4 * 0.96795 )  < widem169){
	alert("You entered an improper value.\nScreen size (16:9) should be between 48.4 and 581 inches* diagonally.\nPlease enter a new value.\n\n\t* between 1,229 and 14,757 millimeters\n\t* 4.03 and 48.42 feet");
	ClearForm(form);
	this.form.reset();
		}
	}
// Screen size limitaion (15:9)
	if (widem159 != "0") {
		if (widem159 < ( 50 * 15 / 17.49286 * 25.4 ) ||  ( 600 * 15 / 17.49286 * 25.4 )  < widem159){
	alert("You entered an improper value.\nScreen size (15:9) should be between 70 and 600 inches* diagonally.\nPlease enter a new value.\n\n\t* between between 1,270 and 15,240 millimeters\n\t* between 4.2 and 50 feet");
	ClearForm(form);
	this.form.reset();
		}
	}			
}

// Checking input
function chkvalue(form) {
	var MagniScrn169 = form.scrnsize169.value 
	var MagniScrn159 = form.scrnsize159.value 
	var MagniDist = form.distance.value 
	if ( ( eval(MagniScrn169) == 0 & eval(MagniScrn159) == 0 ) || eval(MagniDist) == 0)
		{
		window.alert("Please input values for both \nimage size and projection distance.");
		link169 = "#" ; 
		link159 = "#" ; 
		}
	else {
		calmagni(form) ;
		sizealert(form) ;
		lensfinder169(form) ;
		lensfinder159(form) ;
//		form.zmratio169.value = Mgnf169 ;
//		form.zmratio159.value = Mgnf159 ;
		}
	}

// Definition for GoLens169() = link to calculator 16:9
function GoLens169(){
	location.href = link169 ;
//	if (url != "_") 
//	top.location = url;
}

// Definition for GoLens159() = link to calculator 15:9
function GoLens159(){
	location.href = link159 ;
//	if (url != "_") 
//	top.location = url;
}

// Lens selection 16:9
function lensfinder169(form) {
	if (Mgnf169 < PrjctArea00) {
		form.OptLens169.value =  "No lens found (see "+ OptLens05 + " lens info)." ; 
		link169 = "../aspct169/dw5000_050.html" ; 
		}
	else if (PrjctArea00 <= Mgnf169 & Mgnf169 < PrjctArea01) {
		form.OptLens169.value = OptLens01 ; 
		link169 = "../aspct169/dw5000_100.html" ; 
		}
	else if (PrjctArea01 <= Mgnf169 & Mgnf169 < PrjctArea02) {
		form.OptLens169.value = "No lens was found for these conditions." ;
		link169 = "#" ; 
		}
	else if (PrjctArea02 <= Mgnf169 & Mgnf169 < PrjctArea03) {
		form.OptLens169.value = OptLens00 ; 
		link169 = "../aspct169/dw5000.html" ; 
		}
	else if (PrjctArea03 <= Mgnf169 & Mgnf169 < PrjctArea04) {
		form.OptLens169.value = OptLens02 ; 
		link169 = "../aspct169/dw5000_200.html" ; 
		}
	else if (PrjctArea04 <= Mgnf169 & Mgnf169 < PrjctArea05) {
		form.OptLens169.value = OptLens02 + " or " + OptLens03 ; 
		link169 = "../aspct169/dw5000_200.html" ; 
		}
	else if (PrjctArea05 <= Mgnf169 & Mgnf169 < PrjctArea06) {
		form.OptLens169.value = OptLens03 ; 
		link169 = "../aspct169/dw5000_310.html" ; 
		}
	else if (PrjctArea06 <= Mgnf169 & Mgnf169 <= PrjctArea07) {
		form.OptLens169.value = OptLens04 ; 
		link169 = "../aspct169/dw5000_410.html" ; 
		}
	else {
		form.OptLens169.value = "No lens was found for these conditions." ;
		link169 = "#" ; 
		}
	}

// Lens selection 15:9
function lensfinder159(form) {
	if (Mgnf159 < PrjctArea00) {
		form.OptLens159.value =  "No lens found (see "+ OptLens05 + " lens info)." ; 
		link159 = "../aspct169/dw5000_159_050.html" ; 
		}
	else if (PrjctArea00 <= Mgnf159 & Mgnf159 < PrjctArea01) {
		form.OptLens159.value = OptLens01 ; 
		link159 = "../aspct169/dw5000_159_100.html" ; 
		}
	else if (PrjctArea01 <= Mgnf159 & Mgnf159 < PrjctArea02) {
		form.OptLens159.value = "No lens was found for these conditions." ;
		link159 = "#" ; 
		}
	else if (PrjctArea02 <= Mgnf159 & Mgnf159 < PrjctArea03) {
		form.OptLens159.value = OptLens00 ; 
		link159 = "../aspct169/dw5000_159.html" ; 
		}
	else if (PrjctArea03 <= Mgnf159 & Mgnf159 < PrjctArea04) {
		form.OptLens159.value = OptLens02 ; 
		link159 = "../aspct169/dw5000_159_200.html" ; 
		}
	else if (PrjctArea04 <= Mgnf159 & Mgnf159 < PrjctArea05) {
		form.OptLens159.value = OptLens02 + " or " + OptLens03 ; 
		link159 = "../aspct169/dw5000_159_200.html" ; 
		}
	else if (PrjctArea05 <= Mgnf159 & Mgnf159 < PrjctArea06) {
		form.OptLens159.value = OptLens03 ; 
		link159 = "../aspct169/dw5000_159_310.html" ; 
		}
	else if (PrjctArea06 <= Mgnf159 & Mgnf159 <= PrjctArea07) {
		form.OptLens159.value = OptLens04 ; 
		link159 = "../aspct169/dw5000_159_410.html" ; 
		}
	else {
		form.OptLens159.value = "No lens was found for these conditions." ;
		link159 = "#" ; 
		}
	}
