// 04.10.26/06.10.13/06.10.15 (lens_dw7000.js base)/06.11.08 (throw ratio revised)/06.12.19 (lens_dw7000.js base), throw ratio tuning
// Calculation for optional lens selection - NATIVE 16 : 9 PANEL
// OptLens169 = best lens for 16:9 screen
// OptLens43 = best lens for 4:3 screen	06.10.15 suspended
// MagniScrn = screen size
// MagniDist = throw distance
// widem169 = width in millimeter
// widem43 = width in millimeter	06.10.15 suspended

// Definition for optional lens ===========
var OptLens06 = "ET-D75LE6" 	/*	1.0	to	1.2	*/
var OptLens01 = "ET-D75LE1" 	/*	1.5	to	2.0	*/
var OptLens02 = "ET-D75LE2" 	/*	2.0	to	3.0	*/
var OptLens03 = "ET-D75LE3" 	/*	3.0	to	5.0	*/
var OptLens04 = "ET-D75LE4" 	/*	5.0	to	8.0	*/
var OptLens08 = "ET-D75LE8" 	/*	8.0	to	15.0	*/
var OptLens05 = "ET-D75LE5" 	/*	0.7	*/

// Projection Area
		// "No lens found (ET-D75LE5)"
var PrjctArea00 = 1.04
		// OptLens06
var PrjctArea01 = 1.25
		// "No lens found"
var PrjctArea02 = 1.56
		// OptLens01
var PrjctArea03 = 2.08
		// OptLens02
var PrjctArea04 = 3.11
		// OptLens03
var PrjctArea05 = 5.185
		// OptLens04
var PrjctArea06 = 8.27
		// OptLens04 + OptLens08
var PrjctArea07 = 8.33
		// OptLens08
var PrjctArea08 = 15.5
		// "No lens found"

// Definition for ClearForm() = Reset button ===========
function ClearForm(form)
{
		form.scrnsize169.value = "0";
//		form.scrnsize43.value = "0";
		form.distance.value = "0";
		form.OptLens169.value = " ";
//		form.OptLens43.value = " ";
}

// Selected lens form alert
function lensalert() 
{
	alert('Sorry, but this box only shows the result.');
}

// Calculating magnification
function calmagni(form) {
	var MagniScrn169 = form.scrnsize169.value 
//	var MagniScrn43 = form.scrnsize43.value 
	var MagniDist = form.distance.value 
	// Screen measuring portion selection
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
//	var scrnw43 = form.scrnprtn43.options[form.scrnprtn43.selectedIndex].value
//	var scrnu43 = form.scrnunit43.options[form.scrnunit43.selectedIndex].value
	var distu = form.distunitmenu.options[form.distunitmenu.selectedIndex].value
	Mgnf169 = Math.round ( ( MagniDist * distu ) / ( MagniScrn169 * scrnu169 / scrnw169 ) * 100 )  /  100 ; 
//	Mgnf43 = Math.round ( ( MagniDist * distu ) / ( MagniScrn43 * scrnu43 / scrnw43 ) * 100 )  /  100 ; 
}

// Screen size limitation
function sizealert(form) {
	var MagniScrn169 = form.scrnsize169.value 
//	var MagniScrn43 = form.scrnsize43.value 
	// Screen measuring portion selection
/*
	form.scrnprtn169/scrnunit169/scrnprtn43/scrnunit43.options.values
	scrnw169 -- 1 (width), 0.5625 (height), 1.14735 (diagonal)
	scrnw43 -- 1 (width), 0.75 (height), 1.25 (diagonal)
	scrnu169/scrnu43 -- 1 (mm), 304.8 (ft), 25.4 (in)
*/
	var scrnw169 = form.scrnprtn169.options[form.scrnprtn169.selectedIndex].value
	var scrnu169 = form.scrnunit169.options[form.scrnunit169.selectedIndex].value
//	var scrnw43 = form.scrnprtn43.options[form.scrnprtn43.selectedIndex].value
//	var scrnu43 = form.scrnunit43.options[form.scrnunit43.selectedIndex].value
	widem169 = MagniScrn169 * scrnu169 / scrnw169 ; 
//	widem43 = MagniScrn43 * scrnu43 / scrnw43 ; 

// Screen size limitaion (16:9)
	if (widem169 != "0") {
		if (widem169 < ( 70 * 16 / 18.35756 * 25.4 ) ||  ( 600 * 16 / 18.35756 * 25.4 )  < widem169){
	alert("You entered an improper value.\nScreen size (16:9) should be between 70 and 600 inches* diagonally.\nPlease enter a new value.\n\n\t* between 1.78 and 15.24 meters\n\t* between 5.8 and 50 feet");
	ClearForm(form);
	this.form.reset();
		}
	}
// Screen size limitaion (4:3)
/*
	if (widem43 != "0") {
		if (widem43 < ( 57.2 * 4 / 5 * 25.4 ) ||  ( 490.2 * 4 / 5 * 25.4 )  < widem43 ){
	alert("You entered an improper value.\nScreen size (4:3) should be between 58 and 490 inches* diagonally.\nPlease enter a new value.\n\n\t* between 1.47 and 12.45 meters\n\t* between 4.8 and 40.8 feet");
	ClearForm(form);
	this.form.reset();
		}
	}			
*/
}

// Checking input
function chkvalue(form) {
	var MagniScrn169 = form.scrnsize169.value 
//	var MagniScrn43 = form.scrnsize43.value 
	var MagniDist = form.distance.value 
	if ( ( eval(MagniScrn169) == 0 ) || eval(MagniDist) == 0)
//	if ( ( eval(MagniScrn169) == 0 & eval(MagniScrn43) == 0 ) || eval(MagniDist) == 0)
		{
		window.alert("Please input values for both \nimage size and projection distance.");
		link169 = "#" ; 
//		link43 = "#" ; 
		}
	else {
		calmagni(form) ;
		sizealert(form) ;
		lensfinder169(form) ;
//		lensfinder43(form) ;
//		form.zmratio169.value = Mgnf169 ;
//		form.zmratio43.value = Mgnf43 ;
		}
	}

// Definition for GoLens169() = link to calculator 16:9
function GoLens169(){
	location.href = link169 ;
//	if (url != "_") 
//	top.location = url;
}

// Definition for GoLens43() = link to calculator 16:9
/*	06.10.15 suspended

function GoLens43(){
	location.href = link43 ;
//	if (url != "_") 
//	top.location = url;
}
06.10.15 suspended
*/

// Lens selection 16:9
function lensfinder169(form) {
	if (Mgnf169 < PrjctArea00) {
		form.OptLens169.value =  "No lens found (see "+ OptLens05 + " lens info)." ; 
		link169 = "../aspct169/d10kle5.html" ; 
		}
	else if (PrjctArea00 <= Mgnf169 & Mgnf169 <= PrjctArea01) {
		form.OptLens169.value = OptLens06 ; 
		link169 = "../aspct169/dw7000le6.html" ; 
		}
	else if (PrjctArea01 < Mgnf169 & Mgnf169 < PrjctArea02) {
		form.OptLens169.value = "No lens was found for these conditions." ;
		link169 = "#" ; 
		}
	else if (PrjctArea02 <= Mgnf169 & Mgnf169 < PrjctArea03) {
		form.OptLens169.value = OptLens01 ; 
		link169 = "../aspct169/dw7000le1.html" ; 
		}
	else if (PrjctArea03 <= Mgnf169 & Mgnf169 < PrjctArea04) {
		form.OptLens169.value = OptLens02 ; 
		link169 = "../aspct169/dw7000le2.html" ; 
		}
	else if (PrjctArea04 <= Mgnf169 & Mgnf169 < PrjctArea05) {
		form.OptLens169.value = OptLens03 ; 
		link169 = "../aspct169/dw7000le3.html" ; 
		}
	else if (PrjctArea05 <= Mgnf169 & Mgnf169 < PrjctArea06) {
		form.OptLens169.value = OptLens04 ; 
		link169 = "../aspct169/dw7000le4.html" ; 
		}
	else if (PrjctArea06 <= Mgnf169 & Mgnf169 < PrjctArea07) {
		form.OptLens169.value = OptLens04 + " or " + OptLens08 ; 
		link169 = "../aspct169/dw7000le8.html" ; 
		}
	else if (PrjctArea07 <= Mgnf169 & Mgnf169 <= PrjctArea08) {
		form.OptLens169.value = OptLens08 ; 
		link169 = "../aspct169/dw7000le8.html" ; 
		}
	else {
		form.OptLens169.value = "No lens was found for these conditions." ;
		link169 = "#" ; 
		}
	}

// Lens selection 4:3
/*	06.10.15 suspended
function lensfinder43(form) {
	if (Mgnf43 < PrjctArea00) {
		form.OptLens43.value =  "No lens found (see "+ OptLens05 + " lens info)." ; 
		link43 = "../aspct43/d10kle5.html" ; 
		}
	else if (PrjctArea00 <= Mgnf43 & Mgnf43 <= PrjctArea01) {
		form.OptLens43.value = OptLens06 ; 
		link43 = "../aspct43/dw7000le6.html" ; 
		}
	else if (PrjctArea01 < Mgnf43 & Mgnf43 < PrjctArea02) {
		form.OptLens43.value = "No lens was found for these conditions." ;
		link43 = "#" ; 
		}
	else if (PrjctArea02 <= Mgnf43 & Mgnf43 < PrjctArea03) {
		form.OptLens43.value = OptLens01 ; 
		link43 = "../aspct43/dw7000le1.html" ; 
		}
	else if (PrjctArea03 <= Mgnf43 & Mgnf43 < PrjctArea04) {
		form.OptLens43.value = OptLens02 ; 
		link43 = "../aspct43/dw7000le2.html" ; 
		}
	else if (PrjctArea04 <= Mgnf43 & Mgnf43 < PrjctArea05) {
		form.OptLens43.value = OptLens03 ; 
		link43 = "../aspct43/dw7000le3.html" ; 
		}
	else if (PrjctArea05 <= Mgnf43 & Mgnf43 < PrjctArea06) {
		form.OptLens43.value = OptLens04 ; 
		link43 = "../aspct43/dw7000le4.html" ; 
		}
	else if (PrjctArea06 <= Mgnf43 & Mgnf43 <= PrjctArea07) {
		form.OptLens43.value = OptLens08 ; 
		link43 = "../aspct43/dw7000le8.html" ; 
		}
	else {
		form.OptLens43.value = "No lens was found for these conditions." ;
		link43 = "#" ; 
		}
	}
06.10.15 suspended
*/